## indicator-application 0.0.16+r107+201003181816

=== debian/changelog ===
indicator-application (0.0.16+r107+201003181816) lucid; urgency=low

  * Auto build.

 --  <ubuntu.builder@gmail.com>  Thu, 18 Mar 2010 18:17:15 +0000

indicator-application (0.0.16-0ubuntu2) lucid; urgency=low


  * Backported upstream change to respect gtk "always-show-image" (lp: #528527)



 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Mar 2010 16:39:09 +0100

indicator-application (0.0.16-0ubuntu1) lucid; urgency=low


  * Upstream release 0.0.16

    * Use libindicator icon loading helper

    * Workaround for label changes on GtkActions

    * Testing fix for using xvfb

  * debian/control: Increasing the libindicator-dev dependency to

    0.3.5 to match upstream.



 -- Ted Gould <ted@ubuntu.com>  Thu, 11 Mar 2010 16:22:06 -0600

indicator-application (0.0.15-0ubuntu1) lucid; urgency=low


  * Upstream release 0.0.15

    * Icon size fix to 22 px

    * Status icon correctly removed in fallback

    * Fixed test suite to run better on slow machines.



 -- Ted Gould <ted@ubuntu.com>  Thu, 04 Mar 2010 11:42:40 -0600

indicator-application (0.0.14-0ubuntu1) lucid; urgency=low


  * Upstream release 0.0.14

    ∘ Fix mono bindings to include proper metadata (LP: #526620)

    ∘ Send connection changed signal when the proxy is created

      and destroyed (LP: #527082)

    ∘ Hide the fallback status icon before unrefing it. (LP: #526041)

    ∘ Increase dbus-glib version check to 0.82

    ∘ Handle menu layout changes and visibility changes better.

    ∘ Improve testing stability

    ∘ Read menu sensitivity on startup.

    ∘ Handle null strings when evaluating whether we have an

      attention icon.

    ∘ Remove dbus objects when we fallback

    ∘ Disconnect client_menu_changed signal handlers on cleanup.

    ∘ Handle cases where the menu gets unset on updates.

    ∘ Fix custom labels on stock items.

    ∘ Adds support for submenus



 -- Ted Gould <ted@ubuntu.com>  Thu, 25 Feb 2010 15:22:28 -0600

indicator-application (0.0.13-0ubuntu8) lucid; urgency=low


  * Upstream Merge

    * Checking for dbus-glib version 0.82

  * debian/control: Checking for dbus-glib >= 0.82



 -- Ted Gould <ted@ubuntu.com>  Tue, 23 Feb 2010 10:30:27 -0600

indicator-application (0.0.13-0ubuntu7) lucid; urgency=low


  * Backported upstream change to fix menu item sensitivity update,

    thanks to Jan Arne Petersen (lp: #522151)



 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Feb 2010 17:49:23 +0100

indicator-application (0.0.13-0ubuntu6) lucid; urgency=low


  * Cherrypick fix to check for a null string as the attention icon 

  * Cherrypick fix to remove the registration of dbus objects (LP: #497870)

    - lets us drop debian/patches/unregister.patch



 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 19 Feb 2010 18:52:40 +0100

indicator-application (0.0.13-0ubuntu5) lucid; urgency=low


  * debian/patches/unregister.patch

    - Fix to remove the registration of dbus objects (LP: #497870) 



 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 19 Feb 2010 17:55:11 +0100

indicator-application (0.0.13-0ubuntu4) lucid; urgency=low


  * Backport Cody Russell's change to fix rhythmbox crashing on closing

    (lp: #522942)



 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Feb 2010 23:13:10 +0100

indicator-application (0.0.13-0ubuntu3) lucid; urgency=low


  * Backport trunk change to fix stock items labels (lp: #520048)

  * Backport trunk change to fix menus update issues (lp: #521181)

  * debian/control: updated standards-version



 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Feb 2010 16:22:31 +0100

indicator-application (0.0.13-0ubuntu2) lucid; urgency=low


  * Backported lp:~bratsche/indicator-application/submenus to make the submenus

    working in the application indicators (lp: #519625)



 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Feb 2010 17:12:58 +0100

indicator-application (0.0.13-0ubuntu1) lucid; urgency=low


  * Upstream release 0.0.13

    * Changing the menu property to be a proper DBus object path

    * Make object paths unique by including application IDs in them



 -- Ted Gould <ted@ubuntu.com>  Thu, 11 Feb 2010 10:41:53 -0600

indicator-application (0.0.12-0ubuntu1) lucid; urgency=low


  * Upstream release 0.0.12

    * Handling the service restarting better by removing the icons

      after a small delay to ensure they don't return.

    * Fixing a crash where a proxy was created while the previous

      one was being destroyed.

    * Fixing copying of the attention icon

    * Adding status changing to the example application

    * Adding a test for status changing getting sent over DBus.



 -- Ted Gould <ted@ubuntu.com>  Mon, 08 Feb 2010 10:01:42 -0600

indicator-application (0.0.11-0ubuntu1) lucid; urgency=low


  * debian/control:

    - updated libunit-cil build-depends



  [ Ted Gould ]

  * Upstream release 0.0.11

    * Interoperability Fixes

    * Adding in XVFB support for tests

    * Adding support for icons with the '-panel' suffix

  * debian/control: Increasing dbusmenu* deps to 0.2.2



 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Feb 2010 17:35:19 -0800

indicator-application (0.0.10-0ubuntu2) lucid; urgency=low


  * debian/control

    - bumped build depends version for libindicator-dev to 0.3.1 



 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 21 Jan 2010 16:38:18 -0500

indicator-application (0.0.10-0ubuntu1) lucid; urgency=low


  * Upstream release 0.0.10

    * Adding in a file to position the indicators

    * Ref counting theme directories as they get added and removed

    * Use the right callback function for fallback (LP: #507975)

    * Support getting the app list from a running service.

  * debian/control: Adding dependency for json-glib to build.



 -- Ted Gould <ted@ubuntu.com>  Thu, 21 Jan 2010 14:21:00 -0600

indicator-application (0.0.9-0ubuntu3) lucid; urgency=low


  * debian/control:

    - updated the build-depends for the gtk binding changes.




