=== debian/control ===
Source: indicator-application
Section: gnome
Priority: optional
XS-Python-Version: all
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 5.0),
               cdbs (>= 0.4.41),
               python-central (>= 0.6),
               libgtk2.0-dev (>= 2.12.0),
               libdbus-glib-1-dev (>= 0.82),
               libjson-glib-dev,
               gnome-doc-utils,
               gtk-doc-tools,
               intltool,
               python-all-dev,
               python-gtk2-dev,
               libindicate-dev (>= 0.2.0),
               libindicate-gtk-dev (>= 0.2.0),
               libindicator-dev (>= 0.3.5),
               libdbusmenu-gtk-dev (>= 0.2.2),
               libdbusmenu-glib-dev (>= 0.2.2),
               cli-common-dev (>= 0.5.7),
               mono-devel (>= 2.0.1),
               gtk-sharp2-gapi,
               libmono-dev,
               libnunit-cil-dev,
               libgtk2.0-cil-dev
Standards-Version: 3.8.4
Homepage: https://launchpad.net/indicator-application
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/indicator-application/ubuntu

Package: python-appindicator
Section: python
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         libappindicator0 (= ${binary:Version}),
         python-gobject
Provides: ${python:Provides}
Description: Python bindings for libappindicator
 This package provides Python bindings so that you can use libappindicator from 
 a Python program.

Package: indicator-application
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Application Indicators
 A library and indicator to take menus from applications and place them in
 the panel.

Package: libappindicator0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: indicator-application (= ${binary:Version})
Description: Application Indicators
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications.

Package: libappindicator-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbusmenu-glib-dev (>= 0.1.8),
         libdbus-glib-1-dev (>= 0.76),
         libappindicator0 (= ${binary:Version})
Description: Application Indicators
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications.

Package: libappindicator-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description:  Application Indicators
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains developer documentation.

Package: libappindicator0-cil
Section: cli-mono
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libappindicator0 (= ${binary:Version})
Provides: ${cli:Provides}
Description: CLI bindings for libappindicator
 This package provides the appindicator-sharp assembly that allows CLI (.NET)
 programs to take menus from applications and place them in the panel.
 .
 This package contains assemblies to be used by applications.

Package: libappindicator-cil-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libappindicator0-cil (= ${binary:Version})
Description: Application Indicators
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications.
