=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral
PY_VERSIONS = $(shell pyversions --requested debian/control)
export MONO_SHARED_DIR=$(CURDIR)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools-vars.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
API_VERSION = 0.1

configure-stamp-%:
	mkdir build-$*
	cd build-$* && PYTHON=`which $*` \
		$(DEB_CONFIGURE_SCRIPT) $(DEB_CONFIGURE_NORMAL_ARGS) --srcdir=..
	touch $@

configure/python-appindicator:: $(addprefix configure-stamp-, $(PY_VERSIONS))

build-stamp-%:
	make -C build-$*/bindings/python
	touch $@

build/python-appindicator:: $(addprefix build-stamp-, $(PY_VERSIONS))

install-stamp-%:
	make -C build-$*/bindings/python install DESTDIR=$(CURDIR)/debian/tmp
	touch $@

install/python-appindicator:: $(addprefix install-stamp-, $(PY_VERSIONS))

binary-install/python-appindicator::
	dh_pycentral

configure-stamp:
	$(DEB_CONFIGURE_SCRIPT) $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_EXTRA_FLAGS)
	touch $@

configure/indicator-application:: configure-stamp

build-stamp:
	make
	touch $@

build/indicator-application:: build-stamp

install-stamp:
	make install DESTDIR=$(CURDIR)/debian/tmp
	touch $@

install/indicator-application:: install-stamp

binary-post-install/indicator-application::
	find debian/indicator-application/usr/lib -name \*.la -exec rm {} \;
	find debian/indicator-application/usr/lib -name \*.a -exec rm {} \;

binary/libappindicator0-cil:: binary-arch
binary-arch: 
	dh_clifixperms -i
	dh_installdeb -i
	dh_makeclilibs -m $(API_VERSION)
	dh_clideps -i -d


common-binary-predeb-arch:: list-missing

clean::
	-rm -rf $(addprefix build-, $(PY_VERSIONS))
	-rm -rf $(addprefix configure-stamp-, $(PY_VERSIONS))
	-rm -rf $(addprefix build-stamp-, $(PY_VERSIONS))
	-rm -rf $(addprefix install-stamp-, $(PY_VERSIONS))
	rm -rf $(MONO_SHARED_DIR)/.wapi
