=== debian/watch ===
version=3
http://launchpad.net/indicator-application/+download .*/indicator-application-([0-9.]+)\.tar\.gz
